LibreOffice: XIntrospection Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XIntrospection Interface Referencepublished

allows the inspection of an object's properties and methods. More...

`import "XIntrospection.idl";`

Inheritance diagram for XIntrospection:

## Public Member Functions
com::sun::star::beans::XIntrospectionAccess | inspect ([in] any aObject)
| inspects the given object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows the inspection of an object's properties and methods.

Important note:An object can only be inspected completely if it supports the com::sun::star::lang::XTypeProvider interface.

For details see method XIntrospection::inspect().

See also
  XIntrospectionAccess

Developers Guide
  Advanced UNO - UNO Reflection API

## Member Function Documentation

## ◆ inspect()

com::sun::star::beans::XIntrospectionAccess inspect | ( | [in] any | aObject | ) |

inspects the given object.

It identifies all properties supported by the object if they are represented in one of the following ways:

property set

  If the object supports an XPropertySet interface, all its properties are adopted.

attributes

  All of an object's attributes are considered as properties with same name. If an attribute is read-only, the property also is read-only.

get/set methods

  Every method `RetType getX()` defines a property where "X" stands for the property name and "RetType" for its type. The method must not have any parameters, or there is no property access method and "X" has no property. If there is also a method `void setX( [in] RetType )`, the property "X" also allows write access; otherwise it is read-only.

Important note:
  If an object implements com::sun::star::container::XNameAccess, the items that can be accessed are not considered as properties of the object and so are not included in the property list offered by com::sun::star::beans::XIntrospectionAccess::getProperties(). com::sun::star::container::XNameAccess items have to be accessed separately by com::sun::star::beans::XIntrospectionAccess::getNameAccess().

In addition, the inspect method identifies all listener access methods in the form `add...Listener`/ `remove...Listener` (except methods of interface XPropertySet) where "..." stands for the listener type.

Methods which do not belong to a property nor which represent a listener access nor which are methods of XPropertySet, com::sun::star::container::XNameAccess, com::sun::star::container::XIndexAccess, or com::sun::star::container::XEnumerationAccess, are considered to be normal methods.

See also
  XIntrospectionAccess

The documentation for this interface was generated from the following file:

- com/sun/star/beans/XIntrospection.idl